Subject: Re: bug#44839: 27.1; rmail: output to file does not go to next message

From: Eli Zaretskii <[email-masked]>
Date: Sat, 28 Nov 2020 19:07:31 +0200

> From: Francesco Potortì <[email-masked]>
> Date: Tue, 24 Nov 2020 14:35:41 +0100
> 
> rmail-output should do its work, then mark the message as deleted, then
> go to the next message.  The last step is not done: the filed and
> deleted message is still displayed.  This is a regression.
> 
> I suppose it should be quite easy to pinpoint, but I don't have time
> right now, so I am filing a bug.  Here is the value of the relevant vars
> for me:
> 
> (setq rmail-output-reset-deleted-flag t
>       rmail-delete-after-output t
>       rmail-confirm-expunge nil)

This is indeed a regression introduced by the handling of the new
option rmail-output-reset-deleted-flag, which you have customized.

Should be fixed now.